Uploaded image for project: 'Spring Roo'
  1. Spring Roo
  2. ROO-2824

Creating an application under JDK 7 causes problems for AspectJ maven plugin

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Complete
    • Affects Version/s: None
    • Fix Version/s: 1.2.0.RC1
    • Component/s: None
    • Labels:
      None

      Description

      Creating an application under JDK 7 causes problems for AspectJ maven plugin. The java.version will be set to 1.7 in pom.xml which leads to the following AspectJ error:

      declare @type is only supported at Java 5 compliance level or above

      Manually setting the java.version to 1.6 fixes the issue.

        Attachments

          Activity

            People

            Assignee:
            stewarta Alan Stewart
            Reporter:
            sschmidt Stefan Schmidt
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: